Support » Plugin: Code Snippets » Last 2 updates 2.9.1 & 2 broke my site

  • Dennis

    (@dennis1001)


    Hi, I keep my sites updated as possible, unfortunately, your two latest updates broke my site, I had to go back to v: 2.8.6 which I had on a local site and I’ve no issues, the site is up and running on the previous version.

    There was no error, both admin and front just went off the cliff! white page!

    There might be a code causing this as I know there are old woocomm snippets.

    When I have time I’ll test by disabling snippet and report backs.

    Just wanted to let you know in case you might know more about it and could provide a solution?

    Dennis

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Author Shea Bunge

    (@bungeshea)

    Something that I changed in the new version is that I allowed snippets to produce output. So it’s possible that one of your snippets has an error in it, and it is only now showing up.

    Would it be possible to enable error reporting (WP_DEBUG) on your site so you can see what might be causing the issue?

    Dennis

    (@dennis1001)

    I think debug won’t work as upon updating your plugin this site is totally inaccessible.

    As this is nearly an 8 years old site, there are many old snippets. I’ll need to disable them all and activate one by one to find the faulty one!

    Hoped you might have a fix as I don’t have the time right now – the latest version of your plugin works fine on my other sites.

    careb

    (@careb)

    I also had this problem with 2.9.1 and 2.92 AND dialed the plugin back to 2.8.6 via a backup.

    My site would partially load and when I commented out the functions that were dependent on snippets from the plugin, the site would load normally. I was unable to get either release to work properly. I tried the usual suspects first: enable/disable plugin; reinstall; clean install; rewriting the snippets; checking the code for errors; etc.

    The problem is that with these updates Code Snippets does not load the snippets for whatever reason — the code is simply not there … which is why commenting out the dependent functions fixed it.

    Usually when this kind of thing happens, I compare the code changes and find a work around, but with the number of snippets used and current time constraints it was much, much easier just to rollback to 2.8.6.

    My site is a multisite install …

    • This reply was modified 3 months ago by  . Reason: grammar
    • This reply was modified 3 months ago by  . Reason: grammar again
    Plugin Author Shea Bunge

    (@bungeshea)

    Can you clarify which snippets are not loading? Is it all snippets, or just certain ones?

    careb

    (@careb)

    All snippets. (Including one-liners like: add_filter( 'the_generator', '__return_null' ); 😐)

    Plugin Author Shea Bunge

    (@bungeshea)

    Ah, I see. So the code which was breaking the site and dependant on functions in snippets is separate from this plugin entirely (in a custom plugin or theme)?

    Yes, the code that prevents the site from loading correctly is in a code snippet.

    I tried the latest version, 2.9.4 just now and nothing has changed. The site continues to load until it trips over some function that is in a snippet and loads without it or stops.

    I enabled debugging in wp-config to see what was up, but no errors were shown.

    I’ve rolled back to 2.8.4 again.

Viewing 7 replies - 1 through 7 (of 7 total)
  • You must be logged in to reply to this topic.